org.apache.sysds.runtime.controlprogram.parfor

## Class LocalParWorker

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.ParWorker
  - - org.apache.sysds.runtime.controlprogram.parfor.LocalParWorker

All Implemented Interfaces:
  Runnable

    public class LocalParWorker
    extends ParWorker
    implements Runnable

Instances of this class can be used to execute tasks in parallel. Within each ParWorker multiple iterations of a single task and subsequent tasks are executed sequentially. Resiliency approach: retry on computation error, abort on task queue error

### Constructor Summary

Constructors
Constructor and Description
`LocalParWorker(long ID, LocalTaskQueue<Task> q, ParForBody body, CompilerConfig cconf, int max_retry, boolean monitor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<String>` `getFunctionNames()`
`void` `run()`
`void` `setFunctionNames(Collection<String> fnNames)`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.ParWorker

`getExecutedIterations, getExecutedTasks, getExecutionContext, getVariables`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalParWorker

    public LocalParWorker(long ID,
                          LocalTaskQueue<Task> q,
                          ParForBody body,
                          CompilerConfig cconf,
                          int max_retry,
                          boolean monitor)

### Method Detail

#### setFunctionNames

    public void setFunctionNames(Collection<String> fnNames)

#### getFunctionNames

    public Collection<String> getFunctionNames()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`